Subject: bug#717 closed by [email-masked] (#717: fixed in src:policykit-1 version 121+compat0.1-6devuan2)

From: "Devuan bug Tracking System" <[email-masked]>
Date: Fri, 21 Oct 2022 11:22:05 +0000

This is an automatic notification regarding your bug report
which was filed against the polkitd package:

#717: polkitd: package failed to install when systemd-standalone-sysusers was installed

It has been closed by [email-masked].

Their explanation is attached below along with your original report.
If this explanation is unsatisfactory and you have not received a
better one in a separate message then please contact [email-masked] by
replying to this email.

-- 
717: https://bugs.devuan.org/cgi/bugreport.cgi?bug=717
Devuan Bug Tracking System
Contact [email-masked] with problems

Subject: #717: fixed in src:policykit-1 version 121+compat0.1-6devuan2
From: [email-masked]
To: [email-masked]
Date: Fri, 21 Oct 2022 11:20:28 +0000

Version: 121+compat0.1-6devuan2

Source package policykit-1 (121+compat0.1-6devuan2) added to Devuan suite unstable.

This closes bug report 717.

Thanks

DAK managing the Devuan archive

Format: 1.8
Date: Fri, 21 Oct 2022 12:00:09 +0100
Source: policykit-1
Architecture: source
Version: 121+compat0.1-6devuan2
Distribution: unstable
Urgency: medium
Maintainer: Devuan Dev Team <[email-masked]>
Changed-By: Mark Hindley <[email-masked]>
Closes: 717 718
Changes:
 policykit-1 (121+compat0.1-6devuan2) unstable; urgency=medium
 .
   * Install sysusers.d fragment lost in merge of
     121+compat0.121+compat0.1-5. (Closes: #718, #717)
Checksums-Sha1:
 7a7b669ebb3c2086c70d91d608be8e7fd40da68d 3701 policykit-1_121+compat0.1-6devuan2.dsc
 94b86078e9b131f3e9d51a5a04038f4d59a35531 46952 policykit-1_121+compat0.1-6devuan2.debian.tar.xz
 0f11d8f02ca5664b5d8d01e9669e69660128bb61 5653 policykit-1_121+compat0.1-6devuan2_source.buildinfo
Checksums-Sha256:
 9ec991e6209bb552643b1bd9998b46a9351723ff970cc3bd5eab6f245f0708fb 3701 policykit-1_121+compat0.1-6devuan2.dsc
 b9b0ca897b3c1992008821c08cf88af4f309613d9029130dd9fc2f076dbae3ee 46952 policykit-1_121+compat0.1-6devuan2.debian.tar.xz
 413363e61517f1bf0429933cc96b31fd44245e10cf859d70fca2cd23aa629534 5653 policykit-1_121+compat0.1-6devuan2_source.buildinfo
Files:
 e9798f69abc4cca210d9e0578945b938 3701 admin optional policykit-1_121+compat0.1-6devuan2.dsc
 5a13e360fea92af6ef93e9d583e4d473 46952 admin optional policykit-1_121+compat0.1-6devuan2.debian.tar.xz
 97d244e834e0ff66549761d7064e86ed 5653 admin optional policykit-1_121+compat0.1-6devuan2_source.buildinfo

Subject: polkitd: package failed to install when systemd-standalone-sysusers was installed
From: Arthur Marsh <[email-masked]>
To: Devuan Bug Tracking System <[email-masked]>
Date: Tue, 18 Oct 2022 04:21:24 +1030

Package: polkitd
Version: 121+compat0.1-6devuan1
Severity: normal

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

   * What led up to the situation?

As previously reported, an upgrade of polkitd failed.

   * What exactly did you do (or not do) that was effective (or
     ineffective)?

When checking the postinstall script I found that the program systemd-sysusers
from systemd-standalone-sysusers was checked for and used if present.

I found that systemd-standalone-sysusers was installed on this machine as a
dependency of stunnel.

I removed stunel and systemd-standalone-sysusers and the upgrade of polkitd
succeeded.

   * What was the outcome of this action?
   * What outcome did you expect instead?

*** End of the template - remove these template lines ***

-- System Information:
Distributor ID:	Devuan
Description:	Devuan GNU/Linux 5 (daedalus/ceres)
Release:	5
Codename:	daedalus ceres
Architecture: i686

Kernel: Linux 6.0.0 (SMP w/2 CPU threads; PREEMPT)
Locale: LANG=en_AU.UTF-8, LC_CTYPE=en_AU.UTF-8 (charmap=UTF-8), LANGUAGE not set
Shell: /bin/sh linked to /bin/dash
Init: sysvinit (via /sbin/init)

Versions of packages polkitd depends on:
ii  adduser                                              3.129
ii  dbus [default-dbus-system-bus]                       1.14.4-1devuan1
ii  libc6                                                2.35-3
ii  libduktape207                                        2.7.0-1+b1
ii  libelogind0                                          246.10-5
ii  libexpat1                                            2.4.9-1
ii  libglib2.0-0                                         2.74.0-3
ii  libpam-elogind [logind]                              246.10-5
ii  libpam0g                                             1.5.2-5
ii  libpolkit-agent-1-0                                  121+compat0.1-6devuan1
ii  libpolkit-gobject-elogind-1-0 [libpolkit-gobject-1-  121+compat0.1-6devuan1
ii  xml-core                                             0.18+nmu1

Versions of packages polkitd recommends:
ii  polkit-kde-agent-1 [polkit-1-auth-agent]  4:5.26.0-1

Versions of packages polkitd suggests:
pn  polkitd-pkla  <none>

Versions of packages polkitd is related to:
ii  dummy-systemd-dev [systemd]      0.2
ii  elogind                          246.10-5
ii  libpam-elogind [libpam-systemd]  246.10-5

-- debconf-show failed